from flask_wtf import FlaskForm
from wtforms import StringField, FormField, SubmitField
from wtforms.validators import DataRequired
from app.forms.editor import EditorForm

class TopicCreationForm(FlaskForm):
    title = StringField('Nom du sujet', validators=[DataRequired()])
    message = FormField(EditorForm, 'Premier post')
    submit = SubmitField('Créer le sujet')
